/***************************************************************************

   Copyright (C) 2005-2007 by Christian Weilbach <christian_weilbach@web.de>
   Copyright (C) 2007 Antonio Aloisio <gnuton@gnuton.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef profileConfigDialogDIALOG_H
#define profileConfigDialogDIALOG_H

#include "ui_profileconfigdialogbase.h"

#include <QWidget>
#include <q3valuevector.h>

#include "backend.h"



namespace KBlogger
{

class profileConfig;

class profileConfigDialog : public QWidget, public Ui::profileConfigDialogBase
{
    Q_OBJECT

public:
    profileConfigDialog(QWidget* parent = 0);
    virtual ~profileConfigDialog();

private Q_SLOTS:
    void setUrl( int );
};
}
#endif

