/***************************************************************************

   Copyright (C) 2007 Antonio Aloisio <gnuton@gnuton.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef KBLOGGERPROFILELIST_H
#define KBLOGGERPROFILELIST_H

#include "ui_profilelistbase.h"

//class profileConfig;

namespace KBlogger
{

class profileList : public QWidget, public Ui::profileListBase
{
    Q_OBJECT
public:
    profileList( QWidget* parent = 0 ); //List entries in upload
    virtual ~profileList();
    void insertItem();

private Q_SLOTS:
    void populateList();
    void addAccount();
    void delAccount();
    void modifyAccount();

private:
    //profileConfig *mProfileconfig;
};

}//namespace
#endif
