/***************************************************************************

   Copyright (C) 2005-2007 by Christian Weilbach <christian_weilbach@web.de>
   Copyright (C) 2007 Antonio Aloisio <gnuton@gnuton.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 ***************************************************************************/

#include "profileconfigdialog.h"
#include "profileconfig.h"

#include <klineedit.h>
#include <kcombobox.h>
#include <kdebug.h>
#include <kmessagebox.h>
#include <kapplication.h>

#include <QLabel>

#include <kblog/blog.h>
#include <kblog/blogger1.h>

namespace KBlogger
{

profileConfigDialog::profileConfigDialog(QWidget* parent)
        : QWidget(parent)
{
    kDebug();
    setupUi(this);
    connect(kcfg_Type, SIGNAL( activated( int ) ),
            this, SLOT( setUrl( int ) ) );
}

profileConfigDialog::~profileConfigDialog()
{
    kDebug();
}

void profileConfigDialog::setUrl( int index )
{
    kDebug();
    //TODO Add other url settings
    if ( ( kcfg_Url->text() ).isEmpty() )
        if ( index == 0 )
            kcfg_Url->setText( "http://www.yourblog.org/xmlrpc.php" );
}

} //namespace

#include "profileconfigdialog.moc"

