/***************************************************************************

   Copyright (C) 2007 Antonio Aloisio <gnuton@gnuton.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef WAITWIDGET_H
#define WAITWIDGET_H

#include "ui_waitwidgetbase.h"
#include <QDialog>

namespace KBlogger
{

class waitWidget : public QDialog, public Ui::waitWidgetBase
{
    Q_OBJECT
public:
    //Singleton Class
    static waitWidget *self(QWidget* parent = 0);

    virtual ~waitWidget();
    void update( const QString& text, QWidget* parent = 0 );
    void show();
    void hide();
    void jobDone();
private:
    waitWidget( QWidget* parent = 0 );
    //void moveToCenter();
    void initialize();

private:
    static waitWidget *s_self;
};

} //namespace
#endif

